tcpdump OSPFv3解析器缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1135116 漏洞类型 缓冲区错误
发布时间 2017-08-22 更新时间 2019-10-23
CVE编号 CVE-2017-13036 CNNVD-ID CNNVD-201708-873
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201708-873
|漏洞详情
tcpdump是Tcpdump团队开发的一套运行在命令行下的嗅探工具。该工具主要用于数据包分析和网络流量捕获等。OSPFv3 parser是其中的一个开放式最短路径优先协议解析器。 tcpdump 4.9.1及之前的版本中的OSPFv3解析器的print-ospf6.c文件的‘ospf6_decode_v3()’函数存在缓冲区溢出漏洞。远程攻击者可利用该漏洞造成拒绝服务(缓冲区越边界读取和应用程序崩溃)。
|参考资料

来源:CONFIRM
链接:http://www.tcpdump.org/tcpdump-changes.txt
来源:CONFIRM
链接:https://github.com/the-tcpdump-group/tcpdump/commit/88b2dac837e81cf56dce05e6e7b5989332c0092d